process.ABC.RAP {ABC.RAP} | R Documentation

## An automated analysis applying all ABC.RAP functions in one script

### Description

This function processes the ABC.RAP workflow automatically

### Usage

    process.ABC.RAP(x, cases_column_1, cases_column_n, controls_column_1,
      controls_column_n, ttest_cutoff, meth_cutoff, unmeth_cutoff, high_meth,
      low_meth)

### Arguments

`x` | The normalised beta values in a data matrix format, where conditions are arranged in columns and cg probes are arranged in rows.
`cases_column_1` | The first column (column number) for cases in the filtered dataset
`cases_column_n` | The last column (column number) for cases in the filtered dataset
`controls_column_1` | The first column (column number) for controls in the filtered dataset
`controls_column_n` | The last column (column number) for controls in the filtered dataset
`ttest_cutoff` | The cutoff level to filter insignificant p-values
`meth_cutoff` | The cutoff level for the methylation difference between cases and controls (cases minus controls)
`unmeth_cutoff` | The cutoff level for the methylation difference between controls and cases (controls minus cases). Consequently, it requires a negative value.
`high_meth` | The upper margin for the highly methylated probes
`low_meth` | The lower margin for the low methylation

### Examples

    data(test_data)
    data(nonspecific_probes)
    data(annotation_file)
    process.ABC.RAP(test_data, 1, 2, 3, 4, 1e-3,  0.5, -0.5, 0.94, 0.06)

[Package ABC.RAP version 0.9.0 Index]